### Method

# WebKit NavigationAction get_frame_name

#### Declaration [src]

    const char*
    webkit_navigation_action_get_frame_name (
      WebKitNavigationAction* navigation
    )

#### Description [src]

Gets the `navigation` target frame name. For example if navigation was triggered by clicking a link with a target attribute equal to “_blank”, this will return the value of that attribute. In all other cases this function will return `NULL`.

Available since: | 2.40

#### Return value

Returns: | `const char*`
| The name of the new frame this navigation action targets or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.